Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## grails.rest.render
[Groovy] Interface ContainerRenderer

    grails.rest.render.ContainerRenderer
      grails.rest.render.Renderer
          org.codehaus.groovy.grails.web.mime.MimeTypeProvider

All Superinterfaces:
  Renderer, MimeTypeProvider

    interface ContainerRenderer
    extends Renderer

A container a renderer is a render that renders a container of objects (Example: List of Book instances)

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`java.lang.Class` | `getComponentType()` Returns: The underlying type wrapped by the container.

Methods inherited from interface Renderer
getTargetType, render

Methods inherited from interface MimeTypeProvider
getMimeTypes

Method Detail

### getComponentType

    java.lang.Class getComponentType()

  Returns:
    The underlying type wrapped by the container. For example with List, this method would return Book

Groovy Documentation